unit uViewParametrosFecha;

interface

uses
  Windows, Messages, SysUtils, Variants, Classes, Graphics, Controls, Forms,
  Dialogs, dxLayoutControl, StdCtrls, Mask, JvExMask, JvToolEdit,
  JvCombobox, cxControls, uViewParametrosControlGrid, TBXDkPanels,
  uBizParametros, cxContainer, cxEdit, cxTextEdit, cxMaskEdit, cxDropDownEdit,
  cxCalendar;

type
  IViewParametrosFecha = interface(IViewParametrosControlGrid)
  ['{450D10BE-740E-466D-BA12-3E0A9206B697}']
    function GetFecha: Variant;
    property Fecha : Variant read GetFecha;
  end;

  TfrViewParametrosFecha = class(TfrViewParametrosControlGrid, IViewParametrosFecha)
    dxLayoutControl1Group_Root: TdxLayoutGroup;
    dxLayoutControl1: TdxLayoutControl;
    eFecha: TcxDateEdit;
    dxLayoutControl1Item1: TdxLayoutItem;
  private
    function GetFecha: Variant;
  public
    procedure Execute; override;
    procedure Refresh; override;
    property Fecha : Variant read GetFecha;
    procedure LimpiarFecha;
  end;

implementation

uses
  uDataModuleParametros, uDADataTable;

{$R *.dfm}

{ TfrViewParametrosCentro }

procedure TfrViewParametrosFecha.Execute;
begin
  // inherited; <- no descomentar
end;

function TfrViewParametrosFecha.GetFecha: Variant;
begin
  Result := eFecha.EditValue;
end;

procedure TfrViewParametrosFecha.LimpiarFecha;
begin
  eFecha.Clear;
end;

procedure TfrViewParametrosFecha.Refresh;
begin
  // inherited; <- no descomentar
  LimpiarFecha;
end;

end.
